9. Refund
Fully refund a successful transaction. The operation is irreversible and can only be done once per transaction.
Refund a customer
POST/transactions/{uuid}/refundAPI key + X-Application-ID
Request body
{
"reason": "Commande annulée par le client."
}Response 201
{
"success": true,
"data": {
"transaction_uuid": "018f1a2b-...",
"amount": "5000.00",
"currency": "XAF",
"reason": "Commande annulée par le client.",
"status": "success",
"processed_at": "2026-11-02T09:00:00Z",
"created_at": "2026-11-02T09:00:00Z"
},
"meta": {
"request_id": "...",
"timestamp": "..."
}
}| Code | When |
|---|---|
| 404 | Transaction not found. |
| 422 | Transaction not refundable: status other than success, already refunded, or network without refund support (only Orange Money supports refunds). |
- Fetch a refund:
GET /transactions/{uuid}/refund. Triggers thetransaction.refundedwebhook.